﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace wpf_ChartView_582590
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var data = new List<PlotInfo>() 
            {
                new PlotInfo { XVal = 1, YVal = 10, BubbleSize = 80, },
                new PlotInfo { XVal = 1, YVal = 15, BubbleSize = 10, },
                new PlotInfo { XVal = 1, YVal = 7, BubbleSize = 6, },
                new PlotInfo { XVal = 1, YVal = 10, BubbleSize = 8, },
                new PlotInfo { XVal = 3, YVal = 11, BubbleSize = 34, },
                new PlotInfo { XVal = 3, YVal = 20, BubbleSize = 10, },
                new PlotInfo { XVal = 3, YVal = 15, BubbleSize = 14, },
                new PlotInfo { XVal = 3, YVal = 19, BubbleSize = 16, },
                new PlotInfo { XVal = 4, YVal = 19, BubbleSize = 20, },
                new PlotInfo { XVal = 4, YVal = 8, BubbleSize = 20, },
                new PlotInfo { XVal = 4, YVal = 5, BubbleSize = 10, },
                new PlotInfo { XVal = 4, YVal = 12, BubbleSize = 4, },
                new PlotInfo { XVal = 5, YVal = 10, BubbleSize = 20, },
                new PlotInfo { XVal = 5, YVal = 15, BubbleSize = 80, },
            };

            this.DataContext = data;
        }
    }

    public class PlotInfo
    {
        public double XVal { get; set; }
        public double YVal { get; set; }
        public double BubbleSize { get; set; }
    }
}
